package de.intevation.gnv.artifacts.services.requestobjects;

/**
 * This is the inteface description of  a <code>Layer</code>. Currently, there
 * are four methods defined here:<br>
 * <ol>
 *  <li>getName(): Returns the name of this layer.</li>
 *  <li>getID(): Returns the id of this layer.</li>
 *  <li>isGroupLayer(): Returns true, if this layer contains child layers.</li>
 *  <li>parentID(): Returns the id of the parent layer if this layer is a
 *   group layer.</li>
 * </ol>
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface Layer {

    /**
     *
     * @return the name of this layer.
     */
    String getName();

    /**
     *
     * @return the id of this layer.
     */
    String getID();

    /**
     *
     * @return true, if this layer is a group layer - otherwise false.
     */
    boolean isGroupLayer();
    
    /**
     *
     * @return the id of the parent.
     */
    String parentID();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :